OCF_HEARTBEAT_WINPOP(7)

NAME
ocf_heartbeat_WinPopup - Sends an SMB notification message to selected hosts

SYNOPSIS

WinPopup [start | stop | status | monitor | meta-data | validate-all]

DESCRIPTION

Resource script for WinPopup. It sends WinPopups message to a sysadmin's workstation whenever a takeover occurs.

SUPPORTED PARAMETERS

hostfile
    The file containing the hosts to send WinPopup messages to.

    (required, string, default "hosts")

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 30s.

stop
    Stops the resource. Suggested minimum timeout: 30s.

status
    Performs a status check. Suggested minimum timeout: 10s. Suggested interval: 10s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 10s. Suggested interval: 10s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 5s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a WinPopup resource using the crm(8) shell:

    primitive p_WinPopup ocf:heartbeat:WinPopup \
      params \
        hostfile="hosts" \
      op monitor depth="0" timeout="10s" interval="10s"

EXAMPLE PCS

The following is an example configuration for a WinPopup resource using pcs(8)

    pcs resource create p_WinPopup ocf:heartbeat:WinPopup \
      hostfile="hosts" \
      op monitor depth="0" timeout="10s" interval="10s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)